play.db.evolutions.exceptions

## Class InconsistentDatabase

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException
        - - play.db.evolutions.exceptions.InconsistentDatabase

- All Implemented Interfaces:
    java.io.Serializable

      public class InconsistentDatabase
      extends PlayException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InconsistentDatabase(java.lang.String dbName, java.lang.String evolutionScript, java.lang.String error, int revision, java.lang.String moduleKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDbName()`
    `java.lang.String` | `getError()`
    `java.lang.String` | `getErrorDescription()`
    `java.lang.String` | `getErrorTitle()`
    `java.lang.String` | `getEvolutionScript()`
    `java.lang.String` | `getMoreHTML()`
    `int` | `getRevision()`

    - ### Methods inherited from class play.exceptions.PlayException

      `getId, getInterestingStackTraceElement, getInterestingStrackTraceElement, getLineNumber, getSourceFile, isSourceAvailable`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InconsistentDatabase

          public InconsistentDatabase(java.lang.String dbName,
                                      java.lang.String evolutionScript,
                                      java.lang.String error,
                                      int revision,
                                      java.lang.String moduleKey)

  - ### Method Detail

    - #### getDbName

          public java.lang.String getDbName()

    - #### getEvolutionScript

          public java.lang.String getEvolutionScript()

    - #### getError

          public java.lang.String getError()

    - #### getRevision

          public int getRevision()

    - #### getErrorTitle

          public java.lang.String getErrorTitle()

      Specified by:
        `getErrorTitle` in class `PlayException`

    - #### getErrorDescription

          public java.lang.String getErrorDescription()

      Specified by:
        `getErrorDescription` in class `PlayException`

    - #### getMoreHTML

          public java.lang.String getMoreHTML()

      Overrides:
        `getMoreHTML` in class `PlayException`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly